Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gain root remotely >> OpenSSH < 3.7.1


Vulnerability Assessment Details

OpenSSH < 3.7.1

Vulnerability Assessment Summary
Checks for the remote SSH version

Detailed Explanation for this Vulnerability Assessment

You are running a version of OpenSSH which is older than 3.7.1

Versions older than 3.7.1 are vulnerable to a flaw in the buffer management
functions which might permit a possible hacker to execute arbitrary commands on this
host.

An exploit for this issue is rumored to exist.


Note that several distribution patched this hole without changing
the version number of OpenSSH. Since Nessus solely relied on the
banner of the remote SSH server to perform this check, this might
be a false positive.

If you are running a RedHat host, make sure that the command :
rpm -q openssh-server

Returns :
openssh-server-3.1p1-13 (RedHat 7.x)
openssh-server-3.4p1-7 (RedHat 8.0)
openssh-server-3.5p1-11 (RedHat 9)

Solution : Upgrade to OpenSSH 3.7.1
See also : http://marc.theaimsgroup.com/?l=openbsd-misc&m=106375452423794&w=2
http://marc.theaimsgroup.com/?l=openbsd-misc&m=106375456923804&w=2
Network Security Threat Level: High

Networks Security ID: 8628

Vulnerability Assessment Copyright: This script is Copyright (C) 2003 Tenable Network Security

Cables, Connectors

SuperMicro SNK-P0043P Server Heat Sink Socket G34 heatsink rev.al
$17.95
SuperMicro SNK-P0043P Server Heat Sink Socket G34 heatsink rev.al pictureHP NC522SFP+ Dual Port 10GbE Network Server Adapter 468332-B21
$74.9
HP NC522SFP+ Dual Port 10GbE Network Server Adapter 468332-B21 pictureIBM X3550 M3 Server SVC Storage Engine 2145-CV8 | Intel E5645 2.4GHz 24GB RAM
$199.95
IBM X3550 M3 Server SVC Storage Engine 2145-CV8 | Intel E5645 2.4GHz 24GB RAM pictureHP ProLiant DL360 G5 Server Dual Xeon 5160 DC 3.00GHz 4GB 2x 36GB DVD 1PS P400i
$91.0
HP ProLiant DL360 G5 Server Dual Xeon 5160 DC 3.00GHz 4GB 2x 36GB DVD 1PS P400i  picture


Discussions

No Discussions have been posted on this vulnerability.